'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLicenses = exports.getViolating = exports.isWhitelisted = undefined;

var _whitelisted = require('./lib/whitelisted');

Object.defineProperty(exports, 'isWhitelisted', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_whitelisted).default;
  }
});

var _violating = require('./lib/violating');

Object.defineProperty(exports, 'getViolating', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_violating).default;
  }
});

var _detect = require('./lib/detect');

var _detect2 = _interopRequireDefault(_detect);

var _violating2 = _interopRequireDefault(_violating);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getLicenses = exports.getLicenses = async (dev = false, path) => (0, _detect2.default)(dev, path);

exports.default = async function (whitelist = {}, { dev = false, path } = {}) {
  const allModules = await getLicenses(dev, path);
  const violatingModules = (0, _violating2.default)(whitelist, allModules);

  return { allModules, violatingModules };
};